com.aliyun.svideosdk.common.struct.common

## Enum VideoDisplayMode

- java.lang.Object
- - java.lang.Enum<VideoDisplayMode>
  - - com.aliyun.svideosdk.common.struct.common.VideoDisplayMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VideoDisplayMode>

      public enum VideoDisplayMode
      extends java.lang.Enum<VideoDisplayMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FILL` 填充模式
    `SCALE` 缩放裁剪

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDisplayMode()`
    `static VideoDisplayMode` | `valueOf(int mode)`
    `static VideoDisplayMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VideoDisplayMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SCALE

          public static final VideoDisplayMode SCALE

      缩放裁剪

    - #### FILL

          public static final VideoDisplayMode FILL

      填充模式

  - ### Method Detail

    - #### values

          public static VideoDisplayMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VideoDisplayMode c : VideoDisplayMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VideoDisplayMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDisplayMode

          public int getDisplayMode()

    - #### valueOf

          public static VideoDisplayMode valueOf(int mode)